Retrieves a list of all countries available as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll
Retrieves a list of tax authorities available for use as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA Payroll
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
Retrieves the pay group for a specified job ID. This method always returns 1 pay group.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource.
effective
string
No
—
The effective date of the pay group, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource." }, "effective": { "type": "string", "description": "The effective date of the pay group, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID", "ID" ]}
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource." }, "subresourceID": { "type": "string", "description": "The Workday ID of the subresource." } }, "required": [ "PCID", "ID", "subresourceID" ]}
Retrieves a collection of minimum wage rates.Parameters:
Parameter
Type
Required
Default
Description
asOfDate
string
No
—
The minimum wage rates that are effective on the date specified using the yyyy-mm-dd format.
country
string
No
—
The Workday ID of the country for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country.
includeLocalTaxAuthorities
boolean
No
—
If true, returns minimum wage rates for local tax authorities, such as cities and counties, in addition to federal and state rates. If false (default), only returns federal and state minimum wage rates.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
taxAuthority
string[]
No
—
The Workday ID of the payroll tax authority for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/taxAuthorities. You can specify 1 or more tax authority query parameters. Example: taxAuthority=taxAuthority1&taxAuthority=taxAuthority2.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "asOfDate": { "type": "string", "description": "The minimum wage rates that are effective on the date specified using the yyyy-mm-dd format." }, "country": { "type": "string", "description": "The Workday ID of the country for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country." }, "includeLocalTaxAuthorities": { "type": "boolean", "description": "If true, returns minimum wage rates for local tax authorities, such as cities and counties, in addition to federal and state rates. If false (default), only returns federal and state minimum wage rates." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "taxAuthority": { "type": "array", "items": { "type": "string" }, "description": "The Workday ID of the payroll tax authority for the minimum wages rates. You can use a returned id from GET /values/minimumWageRatesGroup/taxAuthorities. You can specify 1 or more tax authority query parameters. Example: taxAuthority=taxAuthority1&taxAuthority=taxAuthority2." } }, "required": [ "PCID" ]}
Retrieves a collection of pay group details.Parameters:
Parameter
Type
Required
Default
Description
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
runCategories
string[]
No
—
One or more Workday IDs of run categories for the pay group. You can use returned ids from GET /values/payrollInputsGroup/runCategories.You can specify 1 or more runCategories query parameters, example: runCategories=category1&runCategories=category2
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "runCategories": { "type": "array", "items": { "type": "string" }, "description": "One or more Workday IDs of run categories for the pay group. You can use returned ids from GET /values/payrollInputsGroup/runCategories.You can specify 1 or more runCategories query parameters, example: runCategories=category1&runCategories=category2" } }, "required": [ "PCID" ]}
The Workday ID of the country or territory of the pay group. You can use a returned country id from any of the payGroups endpoints in this Payroll API.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "country": { "type": "string", "description": "The Workday ID of the country or territory of the pay group. You can use a returned country id from any of the payGroups endpoints in this Payroll API." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." } }, "required": [ "PCID" ]}
Retrieves a collection of payroll inputs. At least 1 query parameter is required to get data.Parameters:
Parameter
Type
Required
Default
Description
endDate
string
No
—
The end date filter which returns payroll inputs that are active on or before the end date, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payComponent
string[]
No
—
The Workday ID of the pay component for the payroll input. You can use a returned id from GET /values/payrollInputsGroup/payComponents.
startDate
string
No
—
The start date filter which returns payroll inputs that are active on or after the start date, using the date format yyyy-mm-dd.
worker
string[]
No
—
The Workday ID of worker for the payroll input. You can use a returned id from GET /workers in the Staffing service.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "endDate": { "type": "string", "description": "The end date filter which returns payroll inputs that are active on or before the end date, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payComponent": { "type": "array", "items": { "type": "string" }, "description": "The Workday ID of the pay component for the payroll input. You can use a returned id from GET /values/payrollInputsGroup/payComponents." }, "startDate": { "type": "string", "description": "The start date filter which returns payroll inputs that are active on or after the start date, using the date format yyyy-mm-dd." }, "worker": { "type": "array", "items": { "type": "string" }, "description": "The Workday ID of worker for the payroll input. You can use a returned id from GET /workers in the Staffing service." } }, "required": [ "PCID" ]}
Retrieves a single or a collection of company SUI rates.Parameters:
Parameter
Type
Required
Default
Description
company
string
No
—
The company reference ID or WID that represents 1 or more companies. Example: company=comp1&company=comp2&company=cb550da820584750aae8f807882fa79a
effective
string
No
—
The effective date for the SUI rate, using the yyyy-mm-dd format.
limit
integer
No
—
The maximum number of objects in a single response. The default is 20. The maximum is 100.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payrollStateAuthorityTaxCode
string
No
—
The FIPS code or WID that represents 1 or more states. Example: payrollStateAuthorityTaxCode=06&payrollStateAuthorityTaxCode=3b3d378d5f4a48b8b3ac46fee0703226&payrollStateAuthorityTaxCode=48
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "company": { "type": "string", "description": "The company reference ID or WID that represents 1 or more companies. Example: company=comp1&company=comp2&company=cb550da820584750aae8f807882fa79a" }, "effective": { "type": "string", "description": "The effective date for the SUI rate, using the yyyy-mm-dd format." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payrollStateAuthorityTaxCode": { "type": "string", "description": "The FIPS code or WID that represents 1 or more states. Example: payrollStateAuthorityTaxCode=06&payrollStateAuthorityTaxCode=3b3d378d5f4a48b8b3ac46fee0703226&payrollStateAuthorityTaxCode=48" } }, "required": [ "PCID" ]}
Retrieves a list of all countries available as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA PayrollParameters:
Parameter
Type
Required
Default
Description
country
string
No
—
The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country.
includeLocalTaxAuthorities
boolean
No
—
If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "country": { "type": "string", "description": "The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country." }, "includeLocalTaxAuthorities": { "type": "boolean", "description": "If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." } }, "required": [ "PCID" ]}
Retrieves a list of tax authorities available for use as query parameters in the /minimumWageRates endpoint. <b>Secured by:</b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) <b>Scope:</b> CAN Payroll, Core Compensation, USA PayrollParameters:
Parameter
Type
Required
Default
Description
country
string
No
—
The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country.
includeLocalTaxAuthorities
boolean
No
—
If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "country": { "type": "string", "description": "The Workday ID of the country for the tax authorities. You can use a returned id from GET /values/minimumWageRatesGroup/countries. You can specify 1 country query parameter. Example: country=country." }, "includeLocalTaxAuthorities": { "type": "boolean", "description": "If true, returns local tax authorities, such as cities and counties, in addition to federal and state tax authorities. If false (default), only returns federal and state tax authorities." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core PayrollParameters:
Parameter
Type
Required
Default
Description
endDate
string
No
—
The end date for the positions, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payComponent
string
No
—
The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
startDate
string
No
—
The start date for the positions, using the date format yyyy-mm-dd.
worker
string
No
—
The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "endDate": { "type": "string", "description": "The end date for the positions, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payComponent": { "type": "string", "description": "The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "startDate": { "type": "string", "description": "The start date for the positions, using the date format yyyy-mm-dd." }, "worker": { "type": "string", "description": "The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core PayrollParameters:
Parameter
Type
Required
Default
Description
endDate
string
No
—
The end date for the positions, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payComponent
string
No
—
The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
startDate
string
No
—
The start date for the positions, using the date format yyyy-mm-dd.
worker
string
No
—
The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "endDate": { "type": "string", "description": "The end date for the positions, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payComponent": { "type": "string", "description": "The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "startDate": { "type": "string", "description": "The start date for the positions, using the date format yyyy-mm-dd." }, "worker": { "type": "string", "description": "The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core PayrollParameters:
Parameter
Type
Required
Default
Description
endDate
string
No
—
The end date for the positions, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payComponent
string
No
—
The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
startDate
string
No
—
The start date for the positions, using the date format yyyy-mm-dd.
worker
string
No
—
The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "endDate": { "type": "string", "description": "The end date for the positions, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payComponent": { "type": "string", "description": "The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "startDate": { "type": "string", "description": "The start date for the positions, using the date format yyyy-mm-dd." }, "worker": { "type": "string", "description": "The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Worker Data: Payroll Public API (Payroll Input) <b>Scope:</b> Core PayrollParameters:
Parameter
Type
Required
Default
Description
endDate
string
No
—
The end date for the positions, using the date format yyyy-mm-dd.
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
payComponent
string
No
—
The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
startDate
string
No
—
The start date for the positions, using the date format yyyy-mm-dd.
worker
string
No
—
The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "endDate": { "type": "string", "description": "The end date for the positions, using the date format yyyy-mm-dd." }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "payComponent": { "type": "string", "description": "The pay component for the worktags. You can use a returned id from GET/values/payrollInputsGroup/payComponents." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." }, "startDate": { "type": "string", "description": "The start date for the positions, using the date format yyyy-mm-dd." }, "worker": { "type": "string", "description": "The Workday ID of the worker. You can use a returned id from GET /workers in the Staffing service." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA PayrollParameters:
Parameter
Type
Required
Default
Description
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." } }, "required": [ "PCID" ]}
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Process: Tax Filing/W-2s (Run) - USA <b>Scope:</b> USA PayrollParameters:
Parameter
Type
Required
Default
Description
limit
integer
No
—
The maximum number of objects in a single response. The default and maximum is 1000.
offset
integer
No
—
The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
search
string
No
—
A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "limit": { "type": "integer", "description": "The maximum number of objects in a single response. The default and maximum is 1000." }, "offset": { "type": "integer", "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object." }, "search": { "type": "string", "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string." } }, "required": [ "PCID" ]}
Partially updates an existing payroll input instance.Parameters:
Parameter
Type
Required
Default
Description
ID
string
Yes
—
The Workday ID of the resource.
adjustment
boolean
No
—
If true, the input is for an adjustment as opposed to an override.
comment
string
No
—
The text comment for this input.
currency
object
No
—
The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country.
descriptor
string
No
—
The display name of the instance
endDate
string
No
—
The end date after which this input does not apply.
fieldEditability
string
No
—
The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly
id
string
No
—
Workday Id or Reference Id of the instance.
inputDetails
any[]
No
—
The details for this payroll input.
ongoing
boolean
No
—
If true, the payroll input is ongoing.
payComponent
object
No
—
The pay component for this payroll input.
position
object
No
—
The worker’s position the payroll input applies to if Multi Job Payroll is used.
runCategories
any[]
No
—
The run category for the payroll input.
startDate
string
No
—
The start date before which this input does not apply.
worker
object
No
—
The worker for this payroll input.
worktags
any[]
No
—
The worktags associated with the payroll input.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "ID": { "type": "string", "description": "The Workday ID of the resource." }, "adjustment": { "type": "boolean", "description": "If true, the input is for an adjustment as opposed to an override." }, "comment": { "type": "string", "description": "The text comment for this input." }, "currency": { "description": "The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country." }, "descriptor": { "type": "string", "description": "The display name of the instance" }, "endDate": { "type": "string", "description": "The end date after which this input does not apply." }, "fieldEditability": { "type": "string", "description": "The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly" }, "id": { "type": "string", "description": "Workday Id or Reference Id of the instance." }, "inputDetails": { "type": "array", "description": "The details for this payroll input." }, "ongoing": { "type": "boolean", "description": "If true, the payroll input is ongoing." }, "payComponent": { "description": "The pay component for this payroll input." }, "position": { "description": "The worker's position the payroll input applies to if Multi Job Payroll is used." }, "runCategories": { "type": "array", "description": "The run category for the payroll input." }, "startDate": { "type": "string", "description": "The start date before which this input does not apply." }, "worker": { "description": "The worker for this payroll input." }, "worktags": { "type": "array", "description": "The worktags associated with the payroll input." } }, "required": [ "PCID", "ID" ]}
If true, the input is for an adjustment as opposed to an override.
comment
string
No
—
The text comment for this input.
currency
object
No
—
The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country.
descriptor
string
No
—
The display name of the instance
endDate
string
No
—
The end date after which this input does not apply.
fieldEditability
string
No
—
The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly
id
string
No
—
Workday Id or Reference Id of the instance.
inputDetails
any[]
No
—
The details for this payroll input.
ongoing
boolean
No
—
If true, the payroll input is ongoing.
payComponent
object
No
—
The pay component for this payroll input.
position
object
No
—
The worker’s position the payroll input applies to if Multi Job Payroll is used.
runCategories
any[]
No
—
The run category for the payroll input.
startDate
string
No
—
The start date before which this input does not apply.
worker
object
No
—
The worker for this payroll input.
worktags
any[]
No
—
The worktags associated with the payroll input.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "adjustment": { "type": "boolean", "description": "If true, the input is for an adjustment as opposed to an override." }, "comment": { "type": "string", "description": "The text comment for this input." }, "currency": { "description": "The currency for the payroll input. If no currency exists, the system assumes the Pay Group currency. The Pay Group currency is derived from the default currency for the Pay Group country." }, "descriptor": { "type": "string", "description": "The display name of the instance" }, "endDate": { "type": "string", "description": "The end date after which this input does not apply." }, "fieldEditability": { "type": "string", "description": "The editability status indicating the fields that can be updated in the payroll input request. Possible values: all, none, endDateOnly" }, "id": { "type": "string", "description": "Workday Id or Reference Id of the instance." }, "inputDetails": { "type": "array", "description": "The details for this payroll input." }, "ongoing": { "type": "boolean", "description": "If true, the payroll input is ongoing." }, "payComponent": { "description": "The pay component for this payroll input." }, "position": { "description": "The worker's position the payroll input applies to if Multi Job Payroll is used." }, "runCategories": { "type": "array", "description": "The run category for the payroll input." }, "startDate": { "type": "string", "description": "The start date before which this input does not apply." }, "worker": { "description": "The worker for this payroll input." }, "worktags": { "type": "array", "description": "The worktags associated with the payroll input." } }, "required": [ "PCID" ]}
Creates a single or a collection of Company SUI Rates.Parameters:
Parameter
Type
Required
Default
Description
applicableRate
string
No
—
The tax override rate for company tax reporting.
companyInstance
object
Yes
—
The company object for company tax reporting.
ein
string
No
—
The payroll tax authority EIN field for company tax reporting.
endDate
string
No
—
The end date for company tax reporting.
exempt
boolean
No
—
If true, the SUI rate is exempt.
id
string
No
—
Workday Id or Reference Id of the instance.
startDate
string
Yes
—
The start date for company tax reporting.
stateInstance
object
Yes
—
The payroll tax authority object for company tax reporting.
taxCode
string
Yes
—
The deduction for company tax reporting.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "applicableRate": { "type": "string", "description": "The tax override rate for company tax reporting." }, "companyInstance": { "description": "The company object for company tax reporting." }, "ein": { "type": "string", "description": "The payroll tax authority EIN field for company tax reporting." }, "endDate": { "type": "string", "description": "The end date for company tax reporting." }, "exempt": { "type": "boolean", "description": "If true, the SUI rate is exempt." }, "id": { "type": "string", "description": "Workday Id or Reference Id of the instance." }, "startDate": { "type": "string", "description": "The start date for company tax reporting." }, "stateInstance": { "description": "The payroll tax authority object for company tax reporting." }, "taxCode": { "type": "string", "description": "The deduction for company tax reporting." } }, "required": [ "PCID", "companyInstance", "startDate", "stateInstance", "taxCode" ]}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Pinkfish - AI Agents \u0026 Workflows for Getting Work Done","colors":{"primary":"#0D9373","light":"#07C983","dark":"#0D9373"},"logo":{"light":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=5982b8c7681e4a4ae9b91d86646a3109","dark":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/logo-light.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=7e28f108b891d7443509634519c91db1"},"favicon":"https://mintcdn.com/pinkfishai/aXo4WZLzYGCBq4ta/logo/fish.png?fit=max\u0026auto=format\u0026n=aXo4WZLzYGCBq4ta\u0026q=85\u0026s=a1e49a1bc05b6029a7f84dd799eacfd5","api":{"openapi":"api-reference/openapi.json"},"navbar":{"links":[{"href":"mailto:support@pinkfish.ai","label":"Support"}],"primary":{"type":"button","label":"Login","href":"https://app.pinkfish.ai/signin"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/getpinkfish","youtube":"https://www.youtube.com/@getpinkfish","discord":"https://discord.com/invite/HaDg7R4VZG"}},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pinkfishai","hasAudioNarration":false,"actualSubdomain":"pinkfishai","customDomains":["docs.pinkfish.ai"],"gitSource":{"type":"github","owner":"brig-pinkfish","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae8bfe3aa0de63df87d0c7d","collectionId":"48f67618-369d-484a-8ca4-ca2b9510d5ba","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae8bfe3aa0de63df87d0c7d"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aed43d4be8d7f0cd2d625ba","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1113},{"language":"default","tag":"Application MCP Servers","count":1061},{"language":"default","tag":"Documentation","count":68},{"language":"default","tag":"Embedded MCP Servers","count":33},{"language":"default","tag":"genesys","count":27},{"language":"default","tag":"Workflows","count":24},{"language":"default","tag":"Agent Mode","count":15},{"language":"default","tag":"Platform API","count":14},{"language":"default","tag":"Agents","count":11},{"language":"default","tag":"buildops","count":11}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles/custom.css","content":"html{scroll-padding-top:100px}html{scroll-behavior:smooth}"}],"page":{"pagePath":"api-reference/mcp-servers/application/workday/workday-payroll","slug":"/api-reference/mcp-servers/application/workday/workday-payroll","pageMetadata":{"title":"workday-payroll","sidebarTitle":"workday-payroll","description":"Workday Payroll - pay groups, payroll inputs, tax rates","href":"/api-reference/mcp-servers/application/workday/workday-payroll"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Workday Payroll - pay groups, payroll inputs, tax rates\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Server path:`}),` `,_jsx(_components.code,{children:`/workday-payroll`}),` | `,_jsx(_components.strong,{children:`Type:`}),` Application | `,_jsx(_components.strong,{children:`PCID required:`}),` Yes`]}),`\n`,_jsx(Heading,{level:`2`,id:`tools`,children:`Tools`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Tool`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_delete_payrollinputs_by_id`,children:_jsx(_components.code,{children:`workday_payroll_delete_payrollinputs_by_id`})})}),_jsx(_components.td,{children:`Deletes an existing payroll input instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_jobs`,children:_jsx(_components.code,{children:`workday_payroll_get_jobs`})})}),_jsx(_components.td,{children:`Retrieves a collection of jobs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_jobs_by_id`,children:_jsx(_components.code,{children:`workday_payroll_get_jobs_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single job instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_jobs_by_id_paygroup`,children:_jsx(_components.code,{children:`workday_payroll_get_jobs_by_id_paygroup`})})}),_jsx(_components.td,{children:`Retrieves the pay group for a specified job ID. This method always returns 1 pay group.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_jobs_by_id_paygroup_by_subresourceid`,children:_jsx(_components.code,{children:`workday_payroll_get_jobs_by_id_paygroup_by_subresourceid`})})}),_jsx(_components.td,{children:`Retrieves a single pay group instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_minimumwagerates`,children:_jsx(_components.code,{children:`workday_payroll_get_minimumwagerates`})})}),_jsx(_components.td,{children:`Retrieves a collection of minimum wage rates.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_minimumwagerates_by_id`,children:_jsx(_components.code,{children:`workday_payroll_get_minimumwagerates_by_id`})})}),_jsx(_components.td,{children:`Retrieves a collection of minimum wage rates.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_paygroupdetails`,children:_jsx(_components.code,{children:`workday_payroll_get_paygroupdetails`})})}),_jsx(_components.td,{children:`Retrieves a collection of pay group details.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_paygroupdetails_by_id`,children:_jsx(_components.code,{children:`workday_payroll_get_paygroupdetails_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single pay group detail instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_paygroups`,children:_jsx(_components.code,{children:`workday_payroll_get_paygroups`})})}),_jsx(_components.td,{children:`Retrieves a collection of pay groups.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_paygroups_by_id`,children:_jsx(_components.code,{children:`workday_payroll_get_paygroups_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single pay group instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_payrollinputs`,children:_jsx(_components.code,{children:`workday_payroll_get_payrollinputs`})})}),_jsx(_components.td,{children:`Retrieves a collection of payroll inputs. At least 1 query parameter is required to get data.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_payrollinputs_by_id`,children:_jsx(_components.code,{children:`workday_payroll_get_payrollinputs_by_id`})})}),_jsx(_components.td,{children:`Retrieves a single payroll input instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_taxrates`,children:_jsx(_components.code,{children:`workday_payroll_get_taxrates`})})}),_jsx(_components.td,{children:`Retrieves a single or a collection of company SUI rates.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_minimumwageratesgroup_countries`,children:_jsx(_components.code,{children:`workday_payroll_get_values_minimumwageratesgroup_countries`})})}),_jsx(_components.td,{children:`Retrieves a list of all countries available as query parameters in the /minimumWageRates endpoint. \u003cb>Secured by:\u003c/b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) \u003cb>Scope:\u003c/b> CAN Payroll, Core Compensation, USA Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_minimumwageratesgroup_taxauthorities`,children:_jsx(_components.code,{children:`workday_payroll_get_values_minimumwageratesgroup_taxauthorities`})})}),_jsx(_components.td,{children:`Retrieves a list of tax authorities available for use as query parameters in the /minimumWageRates endpoint. \u003cb>Secured by:\u003c/b> Set Up: Payroll (Minimum Wages View) - CAN, Set Up: Payroll (Minimum Wages View) - USA, Set Up: Payroll Authority Minimum Wages View (Compensation functional area) \u003cb>Scope:\u003c/b> CAN Payroll, Core Compensation, USA Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_payrollinputsgroup_paycomponents`,children:_jsx(_components.code,{children:`workday_payroll_get_values_payrollinputsgroup_paycomponents`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Worker Data: Payroll Public API (Payroll Input) \u003cb>Scope:\u003c/b> Core Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_payrollinputsgroup_positions`,children:_jsx(_components.code,{children:`workday_payroll_get_values_payrollinputsgroup_positions`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Worker Data: Payroll Public API (Payroll Input) \u003cb>Scope:\u003c/b> Core Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_payrollinputsgroup_runcategories`,children:_jsx(_components.code,{children:`workday_payroll_get_values_payrollinputsgroup_runcategories`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Worker Data: Payroll Public API (Payroll Input) \u003cb>Scope:\u003c/b> Core Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_payrollinputsgroup_worktags`,children:_jsx(_components.code,{children:`workday_payroll_get_values_payrollinputsgroup_worktags`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Worker Data: Payroll Public API (Payroll Input) \u003cb>Scope:\u003c/b> Core Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_taxratesgroup_companyinstances`,children:_jsx(_components.code,{children:`workday_payroll_get_values_taxratesgroup_companyinstances`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Process: Tax Filing/W-2s (Run) - USA \u003cb>Scope:\u003c/b> USA Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_get_values_taxratesgroup_stateinstances`,children:_jsx(_components.code,{children:`workday_payroll_get_values_taxratesgroup_stateinstances`})})}),_jsx(_components.td,{children:`Retrieves instances that can be used as values for other endpoint parameters in this service. \u003cb>Secured by:\u003c/b> Process: Tax Filing/W-2s (Run) - USA \u003cb>Scope:\u003c/b> USA Payroll`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_patch_payrollinputs_by_id`,children:_jsx(_components.code,{children:`workday_payroll_patch_payrollinputs_by_id`})})}),_jsx(_components.td,{children:`Partially updates an existing payroll input instance.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_post_payrollinputs`,children:_jsx(_components.code,{children:`workday_payroll_post_payrollinputs`})})}),_jsx(_components.td,{children:`Creates payroll inputs.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`#workday_payroll_post_taxrates`,children:_jsx(_components.code,{children:`workday_payroll_post_taxrates`})})}),_jsx(_components.td,{children:`Creates a single or a collection of Company SUI Rates.`})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday_payroll_delete_payrollinputs_by_id`,children:`workday_payroll_delete_payrollinputs_by_id`}),`\n`,_jsx(_components.p,{children:`Deletes an existing payroll input instance.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Workday ID of the resource.`})]})})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The Workday ID of the resource.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ID\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday_payroll_get_jobs`,children:`workday_payroll_get_jobs`}),`\n`,_jsx(_components.p,{children:`Retrieves a collection of jobs.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The maximum number of objects in a single response. The default is 20. The maximum is 100.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`offset`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`20`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`20`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The maximum number of objects in a single response. The default is 20. The maximum is 100.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday_payroll_get_jobs_by_id`,children:`workday_payroll_get_jobs_by_id`}),`\n`,_jsx(_components.p,{children:`Retrieves a single job instance.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Workday ID of the resource.`})]})})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`17`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`17`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The Workday ID of the resource.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ID\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday_payroll_get_jobs_by_id_paygroup`,children:`workday_payroll_get_jobs_by_id_paygroup`}),`\n`,_jsx(_components.p,{children:`Retrieves the pay group for a specified job ID. This method always returns 1 pay group.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Workday ID of the resource.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`effective`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The effective date of the pay group, using the date format yyyy-mm-dd.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`limit`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The maximum number of objects in a single response. The default is 20. The maximum is 100.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`offset`})}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`29`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`29`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The Workday ID of the resource.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"effective\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The effective date of the pay group, using the date format yyyy-mm-dd.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The maximum number of objects in a single response. The default is 20. The maximum is 100.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"integer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ID\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`workday_payroll_get_jobs_by_id_paygroup_by_subresourceid`,children:`workday_payroll_get_jobs_by_id_paygroup_by_subresourceid`}),`\n`,_jsx(_components.p,{children:`Retrieves a single pay group instance.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Default`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Workday ID of the resource.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`subresourceID`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`—`}),_jsx(_components.td,{children:`The Workday ID of the subresource.`})]})]})]}),`\n`,_jsx(Expandable,{title:`inputSchema`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`22`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`22`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"PCID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Pink Connect ID for the authenticated connection\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The Workday ID of the resource.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"subresourceID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The Workday ID of the subresource.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`
[...]
